Generation Framework

## org.eclipse.gmf.gmfgraph
Interface Compartment

All Superinterfaces:
  DiagramElement, org.eclipse.emf.ecore.EObject, Identity, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  CompartmentImpl

    public interface Compartment

extends DiagramElement

A representation of the model object 'Compartment'.

The following features are supported:

- `Collapsible`
- `Needs Title`
- `Accessor`

See Also:
  `GMFGraphPackage.getCompartment()`
** Generated **
Model:

Method Summary
`ChildAccess` `getAccessor()` Returns the value of the 'Accessor' reference
`boolean` `isCollapsible()` Returns the value of the 'Collapsible' attribute
`boolean` `isNeedsTitle()` Returns the value of the 'Needs Title' attribute
`void` `setAccessor(ChildAccess value)` Sets the value of the '`Accessor`' reference
`void` `setCollapsible(boolean value)` Sets the value of the '`Collapsible`' attribute
`void` `setNeedsTitle(boolean value)` Sets the value of the '`Needs Title`' attribute

Methods inherited from interface org.eclipse.gmf.gmfgraph.DiagramElement
`getFacets, getFigure, setFigure`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Identity
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isCollapsible

    boolean isCollapsible()

  Returns the value of the 'Collapsible' attribute.

  If the meaning of the 'Collapsible' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Collapsible' attribute.
  See Also:
    `setCollapsible(boolean)`, `GMFGraphPackage.getCompartment_Collapsible()`
  ** Generated **
  Model:

### setCollapsible

    void setCollapsible(boolean value)

  Sets the value of the '`Collapsible`' attribute.

  Parameters:
    `value` - the new value of the 'Collapsible' attribute.
  See Also:
    `isCollapsible()`
  ** Generated **

### isNeedsTitle

    boolean isNeedsTitle()

  Returns the value of the 'Needs Title' attribute.

  If the meaning of the 'Needs Title' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Needs Title' attribute.
  See Also:
    `setNeedsTitle(boolean)`, `GMFGraphPackage.getCompartment_NeedsTitle()`
  ** Generated **
  Model:

### setNeedsTitle

    void setNeedsTitle(boolean value)

  Sets the value of the '`Needs Title`' attribute.

  Parameters:
    `value` - the new value of the 'Needs Title' attribute.
  See Also:
    `isNeedsTitle()`
  ** Generated **

### getAccessor

    ChildAccess getAccessor()

  Returns the value of the 'Accessor' reference.

  If the meaning of the 'Accessor' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Accessor' reference.
  See Also:
    `setAccessor(ChildAccess)`, `GMFGraphPackage.getCompartment_Accessor()`
  ** Generated **
  Model:

### setAccessor

    void setAccessor(ChildAccess value)

  Sets the value of the '`Accessor`' reference.

  Parameters:
    `value` - the new value of the 'Accessor' reference.
  See Also:
    `getAccessor()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.